/*****************************************************************************************
 ** File     : PasswordFilter.h
 ** Date     : 03/09/2002
 ** Author   : Osama Dengler <osama@denglernet.de>
 ** Abstract : Global include file
 **
 ** Copyright (C) Osama Dengler 2002
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation; either version 2 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************************/

// If You have a non-LDAPv3 compliant server
// #define USE_LDAPV2

#define STATUS_SUCCESS 0
#define REG_KEY _T("Software\\OpenAuth\\PasswordFilter")

#include "stdafx.h"
#include <windows.h>
#include <Security.h>
#include <NtSecApi.h>
#include <tchar.h>
#include <stdio.h>
#include <stdlib.h>
#include <winldap.h>
#include <WinBer.h>
#include "Ldap.h"
#include "Debug.h"

PWSTR ZeroTerminateString(PUNICODE_STRING pUnicodeString);
BOOL ReadRegistrySettings(void);
PTSTR GetRegValString(HKEY hRegKey, PTSTR pValueName);
BOOL GetRegValBool(HKEY hRegKey, PTSTR pValueName, PBOOL pData);